Package twisted :: Package protocols :: Package jabber :: Module component :: Class ServiceManager |
[frames | no frames]

## Class ServiceManager

     Service --+
               |
    MultiService --+
                   |
                  ServiceManager

Business logic representing a managed component connection to a Jabber router

This Service maintains a single connection to a Jabber router and provides facilities for packet routing and transmission. Business logic modules can subclasses, and added as sub-service.

Method Summary
| `__init__(self, jid, password)`
| `_connected(self, xs)`
| `_disconnected(self, _)`
| `getFactory(self)`
| `send(self, obj)`
Inherited from MultiService
| ``__iter__`(self)`
| ``addService`(self, service)`
| ``getServiceNamed`(self, name)`
| ``privilegedStartService`(self)`
| ``removeService`(self, service)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
Inherited from MultiService
`tuple` | `__implements__` = `((<class twisted.application.service.IS...`
Inherited from Service
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net